Bug 1261693 - [abiword] corrupted dialog window "Set Language"
Summary: [abiword] corrupted dialog window "Set Language"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abiword
Version: 24
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Marc Maurer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1387629
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-10 01:26 UTC by Joachim Frieben
Modified: 2016-12-20 17:20 UTC (History)
7 users (show)

Fixed In Version: abiword-3.0.2-2.fc24 abiword-3.0.2-3.fc24 abiword-3.0.2-3.fc25
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 06:23:04 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Abisource 13729 0 None None None Never

Description Joachim Frieben 2015-09-10 01:26:11 UTC
Description of problem:
Setting the document language in abiword is impossible because the widget for choosing the language is corrupted.

Version-Release number of selected component (if applicable):
abiword-3.0.1-4.fc23

How reproducible:
Always

Steps to Reproduce:
1. Launch abiword.
2. Open menu item "Tools" > "Set Language...".

Actual results:
Language selector is corrupted.

Expected results:
Choosing the document language is possible.

Additional info:
None

Comment 1 Joachim Frieben 2015-10-09 22:13:06 UTC
Dialog window works as expected for abiword-3.0.1-1.fc21.

Comment 2 David H. Gutteridge 2015-12-05 23:14:33 UTC
This was reported upstream to Abiword as http://bugzilla.abisource.com/show_bug.cgi?id=13729. It has been fixed in their trunk and the branch which will be released as version 3.0.2 (in relatively short time, if the developer mailing list is correct).

The SVN revision in question for the release branch is: http://www.abisource.com/viewvc/abiword/branches/ABI-3-0-0-STABLE/src/af/xap/gtk/xap_UnixDlg_Language.ui?revision=35104&view=markup

Comment 3 Hubert Figuiere 2016-10-30 13:40:20 UTC
Version 3.0.2 has been released upstream.

Comment 4 Joachim Frieben 2016-10-30 18:48:59 UTC
Issue absent from Fedora 24 with the same upstream version of abiword; this suggests a gtk3 issue and not an abiword one.

Comment 5 Fedora End Of Life 2016-11-24 12:28:40 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Hubert Figuiere 2016-11-24 12:59:41 UTC
see comment 3. 

still in F24 and F25 until new upstream is packaged.

Comment 7 Hubert Figuiere 2016-11-24 13:02:43 UTC
just for the record, this is an AbiWord bug. But I don't have the permission to move that back.

Comment 8 Fedora Update System 2016-11-30 02:36:54 UTC
abiword-3.0.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d2e43d0928

Comment 9 Fedora Update System 2016-11-30 02:38:04 UTC
abiword-3.0.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ea95a6a39f

Comment 10 Fedora Update System 2016-11-30 08:18:07 UTC
abiword-3.0.2-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-673afe7e75

Comment 11 Fedora Update System 2016-11-30 08:18:54 UTC
abiword-3.0.2-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-564152f164

Comment 12 Fedora Update System 2016-12-03 04:32:48 UTC
abiword-3.0.2-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-564152f164

Comment 13 Fedora Update System 2016-12-03 05:39:48 UTC
abiword-3.0.2-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-673afe7e75

Comment 14 Fedora Update System 2016-12-08 04:28:10 UTC
abiword-3.0.2-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ffbf1200ab

Comment 15 Fedora Update System 2016-12-08 04:29:29 UTC
abiword-3.0.2-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ca183cdc57

Comment 16 Fedora Update System 2016-12-08 19:24:04 UTC
abiword-3.0.2-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ffbf1200ab

Comment 17 Fedora Update System 2016-12-08 19:26:00 UTC
abiword-3.0.2-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ca183cdc57

Comment 18 Fedora Update System 2016-12-20 06:23:04 UTC
abiword-3.0.2-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-12-20 17:20:55 UTC
abiword-3.0.2-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.